Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.chart.yui
Class SeriesDefX

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.chart.yui.SeriesDef
              com.gwtext.client.widgets.chart.yui.SeriesDefX

    public class SeriesDefX

extends SeriesDef

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`SeriesDefX()`
`SeriesDefX(java.lang.String displayName, java.lang.String yField)`
`SeriesDefX(java.lang.String displayName, java.lang.String yField, GenericConfig style)`

Method Summary
`java.lang.String` | `getDisplayName()` Return the displayName.
`java.lang.String` | `getXField()` Return the xField.
`void` | `setDisplayName(java.lang.String displayName)` Set the displayName.
`void` | `setStyle(GenericConfig style)` Set the style.
`void` | `setType(ChartType type)`
`void` | `setXField(java.lang.String xField)` Set the xField.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeriesDefX

    public SeriesDefX()

### SeriesDefX

    public SeriesDefX(java.lang.String displayName,
                      java.lang.String yField)

### SeriesDefX

    public SeriesDefX(java.lang.String displayName,
                      java.lang.String yField,
                      GenericConfig style)

Method Detail

### setXField

    public void setXField(java.lang.String xField)

  Set the xField.

  Parameters:
    `xField` - the xField

### getXField

    public java.lang.String getXField()

  Return the xField.

  Returns:
    the xField

### setType

    public void setType(ChartType type)

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Set the displayName.

  Parameters:
    `displayName` - the displayName

### getDisplayName

    public java.lang.String getDisplayName()

  Return the displayName.

  Returns:
    the displayName

### setStyle

    public void setStyle(GenericConfig style)

  Set the style.

  Parameters:
    `style` - the style

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD